Subject: Re: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Gerd Möllmann <[email-masked]>
Date: Thu, 02 Jan 2025 09:33:41 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Stefan Kangas <[email-masked]>,  Alan Third <[email-masked]>,
>>   [email-masked]
>> Date: Thu, 02 Jan 2025 08:30:25 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > From the backtrace of the new Lisp thread, it looks like it finished
>> > sleeping for 1 sec and then it proceeds to calling [NSApp run]
>> 
>> I think that's the problem, see my other reply to Stefan.
>
> So should we add a condition before calling [NSApp run] that we are in
> the main thread?

ATM, I don't understand how we land in that line in ns_select_1 if not
[NSThread isMainThread]. Maybe I need new glasses. I asked Stefan if he
can see something in LLDB.